%define upstream_name Net-FreeDB
%define upstream_version 0.10

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Perl interface to freedb server(s)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(CDDB::File)
BuildRequires:	perl(Moo)
BuildRequires:	perl(Test::Most)
BuildRequires:	perl-devel

%description
Net::FreeDB is an oo-based module to interface with FreeDB servers.
It also includes some basic cdrom methods to generate a cddbid and
get the required disc information required for a FreeDB query call.
These cdrom-based methods are provided as both static and method
calls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.100.0-6pclos2017
- rebuild against updates

